LFR-FSW - Bug #3821

Moyennage des SM erroné pour FO et F1 dans FSW <=3.2.0.24
29/03/2021 11:26 AM - bruno katra
Description

Pour FO et F1, on moyenne 8 SM pour faire une ASM. La boucle est fausse : Seul la premiere SM est comptabilisée et moyennée
(*8/8).

https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/blame/729417ab5a3e7e5854a6665a3662e2b8ebc7756e/head
er/processing/fsw_processing.h#L 206

Message de Alexis :

"Ce qui me choque dans la ligne en question, c'est qu'on a une boucle
sur k et qu'on somme N fois la méme composante de la méme matrice selon
que incomingSMIsValid[k] == MATRIX_IS_NOT_POLLUTED.

Je trouve ¢a étrange."

Related issues:
Related to Task #3991: Mise en place d'un protocole de test pour la validatio... In Progress  21/10/2022

History

#1 - 17/09/2021 11:15 AM - Alexis Jeandet

- Status changed from New to Resolved

Fixed in this commit https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/ceccb683253c98d477c8c38c9b6b676ed4c9ccba#
This needs tests, a simple test would be to generate a short pulse at 3V each ASM period - 1s for example and check that before the fix we miss it
most of the time and after we see it in each ASM.

#2 - 21/10/2022 01:47 PM - bruno katra

- Related to Task #3991: Mise en place d'un protocole de test pour la validation de la correction du bug sur le moyennage des SM a FO0 et F1 added

#3 - 08/02/2023 12:35 PM - bruno katra
- Priority changed from High to Normal

#4 - 23/05/2023 04:00 PM - bruno katra

Several specific tests implemented to validate the expected behaviour at SM level.
FSW 3.3.0.16 release is considered to have this bug fixed.
